#include <iostream>
#include <vector>

using namespace std;

int main(){
int N;  // Broj vrata
int M;  // Broj kolona
int i;  //
int Ai; //
int min;// Min dosadnosti zida
int  Of, int nOf;
int D = Of = nOf;

cin >> N >> M;
vector <int> wall(N);

for (i = 0; i < N; ++i){
    cin >> wall[N + i];

}
system("pause");
}